---
services:
  metrics:
    command:
      - "--config.file=/etc/prometheus/prometheus.yml"
{% if config.grafana_cloud.enabled %}
      - "--enable-feature=agent"
      - "--storage.agent.path=/prometheus"
{% else %}
      - "--storage.tsdb.path=/prometheus"
{% endif %}
      - "--web.console.libraries=/usr/share/prometheus/console_libraries"
      - "--web.console.templates=/usr/share/prometheus/consoles"
      - "--web.enable-admin-api"
    volumes:
      - ./prometheus.yml:/etc/prometheus/prometheus.yml:ro
  web:
    labels:
      - "traefik.docker.network=router_default"
      - "traefik.enable=true"
      - "traefik.http.routers.hunter2.entrypoints=websecure"
      - "traefik.http.routers.hunter2.priority=1"
      - "traefik.http.routers.hunter2.rule=Host(`${H2_DOMAIN}`) || HostRegexp(`(?P<subdomain>[a-zA-Z0-9-]+).${H2_DOMAIN}`)"
      - "traefik.http.routers.hunter2.tls.certresolver=letsencrypt"
      - "traefik.http.routers.hunter2.tls.domains[0].main=${H2_DOMAIN}"
      - "traefik.http.routers.hunter2.tls.domains[0].sans=*.${H2_DOMAIN}"
    networks:
      - router
      - default

networks:
  router:
    name: router_default
    external: true
